To edit or add content to this Wiki, you can simply create a new account at http://wocommunity.org/account.

Skip to end of metadata
Go to start of metadata

These are some brief notes about usage Eclipse / wolips on a generic *NIX platform such as LINUX. As I have just transcribed this from an email, I can't be too sure that it is correct – please feel free to augment with detail.

  1. Install Java (I installed jdk 1.5 aka 5)
  2. Install Eclipse with WOLips (as described here. Be sure to read ALL warnings and hints for Ubuntu users)
  3. Create directories to store Frameworks and resources. This could be anywhere on your disc, but concrete examples are given here.
    1. /WO/Library/Frameworks/ – Into this directory, put all the third party frameworks that you need. Examples of "third party" frameworks might be OpenBaseEOAdaptor.framework, PostgresqlPlugIn.framework, LEWOStuff.framework etc...
    2. /WO/System/Library/Frameworks/ – Into this directory put all of the standard WebObjects frameworks.
      • JavaEOAccess.framework
      • JavaEOControl.framework
      • JavaFoundation.framework
      • JavaJDBCAdaptor.framework
      • JavaWebObjects.framework
      • JavaWOExtensions.framework
      • JavaXML.framework
    3. /WO/Project/ – Into this directory put
      1. woproject.jar
    4. /WO/API – Into this directory, put the javadoc for WO.
  4. Create a new properties file in ~/Library/wobuild.properties. This should look something like this;
wo.woroot=/
wo.dir.local=/
wo.dir.user.home.library=/home/username/Library
wo.dir.library=/WO/System/Library
wo.wosystemroot=/WO/System
wo.dir.local.library=/WO/Library
wo.dir.library.frameworks=/WO/System/Library/Frameworks
wo.dir.user.home.library.frameworks=/home/username/Library/Frameworks
wo.dir.root=/
wo.dir.local.library.frameworks=/WO/Library/Frameworks
wo.dir.system=/WO/System
wo.wolocalroot=/
wo.dir.reference.api=/WO/API/

Notes on Ubuntu

If doing WOLIPS development on Ubuntu utilize the Synaptic Package Manager to install Eclipse.
I made the mistake of just trying to download Eclipse, which will take you down this SWT hell whenever you try to use the WebObjects/WOD editor.
– Jonathan Miller

If you want to just download eclipse, it is strongly recommended to download eclipse Indigo (3.7). Once you downloaded it, you have to install WOLips eclipse plugin v3.7 (as described here). Don't worry if you get an error concerning MOZILLA_FIVE_HOME environment variable, you can easily fix this problem installing Web-Kit GTK packet from a shell with the following command:

$ sudo apt-get install libwebkitgtk-1.0-0